Import VM setup scripts

Imported from:
https://robotics.mvla.net/svn/frc971/2016/trunk/src/vagrant_dev_vm/

Change-Id: I4b4c50262d24b1c5d293f4a518525ee28c6db003
diff --git a/vm/setup_vbox_guest_additions.sh b/vm/setup_vbox_guest_additions.sh
new file mode 100755
index 0000000..c9f4b09
--- /dev/null
+++ b/vm/setup_vbox_guest_additions.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -e
+set -u
+
+export DEBIAN_FRONTEND=noninteractive
+
+# Install the kernel sources before the guest additions to guarantee that
+# we can compile the kernel module.
+apt-get install -q -y linux-headers-amd64
+
+# Now we can install the guest additions.
+apt-get install -q -y \
+    virtualbox-guest-dkms \
+    virtualbox-guest-x11